#! /usr/bin/tclsh
###########################################################################
# resize window before or after openwindow depending on on/off screen
###########################################################################

# tmp hack (harmless error when called incorrectly before or after)

if { [info exists rendersize] && $rendersize != 600} {
  if { [info exists renderoffscreen] && $renderoffscreen} {
    puts "tksurfer: [file tail $script]: resizing offscreen window"
    setsize_window $rendersize
  } else {
    puts "tksurfer: [file tail $script]: resizing onscreen window"
    resize_window $rendersize
  }
}

