#! /usr/bin/tclsh

# parms
make_lateral_view
redraw

# first frame
cd $session/mpg
set f 0
set rgb f[format "%05d" $f].rgb
save_rgb

# zoom in a little and pause
for {set i 0} {$i < 40} {incr i} {
  if {$hemi == "rh"} { translate_brain_x 1.5 }
  if {$hemi == "lh"} { translate_brain_x -1.5 }
  scale_brain 1.01
  redraw
  set rgb f[format "%05d" $f].rgb
  save_rgb
  incr f
}
for {set i 0} {$i < 20} {incr i} {
  set rgb f[format "%05d" $f].rgb
  save_rgb
  incr f
}

# rotate to ventral, pause, back, and pause
for {set i 0} {$i < 90} {incr i} {
  rotate_brain_x 1
  redraw
  set rgb f[format "%05d" $f].rgb
  save_rgb
  incr f
}
for {set i 0} {$i < 20} {incr i} {
  set rgb f[format "%05d" $f].rgb
  save_rgb
  incr f
}
#for {set i 0} {$i < 90} {incr i} {
#  rotate_brain_x -1
#  redraw
#  set rgb f[format "%05d" $f].rgb
#  save_rgb
#  incr f
#}
#for {set i 0} {$i < 20} {incr i} {
#  set rgb f[format "%05d" $f].rgb
#  save_rgb
#  incr f
#}

# make quality=1 mpg, test show
set mpgoutfile zz.mpg
puts [eval exec rgb2mpg -q 1 *.rgb $mpgoutfile]
puts [exec mpeg_play_opts $mpgoutfile]

