#! /usr/bin/tclsh

# go into the local mpg directory
cd $session/mpg

# use whatever view we start with
redraw

# rotate all the way around the y axis
set f 0
for {set i 0} {$i < 180} {incr i} {
  if {$hemi == "rh"} { rotate_brain_y -2 }
  if {$hemi == "lh"} { rotate_brain_y 2 }
  redraw
  set rgb f[format "%05d" $f].rgb
  save_rgb
  incr f
}

# make quality=1 mpg, test show
set mpgoutfile zz.mpg
puts [eval exec rgb2mpg -q 1 *.rgb $mpgoutfile]
puts [exec mpeg_play_opts $mpgoutfile]

